# Uses of Class
org.eclipse.gef.palette.ToolEntry

Packages that use ToolEntry
Package
Description
org.eclipse.gef.palette
This package defines and implements the model used by the `PaletteViewer`.
org.eclipse.gef.ui.actions
This package support for using JFace Actions in your EditorPart.
org.eclipse.gef.ui.palette

## Uses of ToolEntry in org.eclipse.gef.palette

Subclasses of ToolEntry in org.eclipse.gef.palette
Modifier and Type
Class
Description
`class`
`CombinedTemplateCreationEntry`
A combination of a `PaletteTemplateEntry` and `ToolEntry`.
`class`
`ConnectionCreationToolEntry`
A palette ToolEntry for a `ConnectionCreationTool`.
`class`
`CreationToolEntry`
A palette ToolEntry for a `CreationTool`.
`class`
`MarqueeToolEntry`
A palette ToolEntry for a `MarqueeSelectionTool`.
`class`
`PanningSelectionToolEntry`
A ToolEntry for a `PanningSelectionTool`.
`class`
`SelectionToolEntry`
A ToolEntry for a `SelectionTool`.
Methods in org.eclipse.gef.palette that return ToolEntry
Modifier and Type
Method
Description
`ToolEntry`
PaletteRoot.`getDefaultEntry()`
Methods in org.eclipse.gef.palette with parameters of type ToolEntry
Modifier and Type
Method
Description
`void`
PaletteListener.`activeToolChanged(PaletteViewer palette, ToolEntry tool)`
A new tool was activated in the palette.
`void`
PaletteRoot.`setDefaultEntry(ToolEntry entry)`
Sets the default entry to the passed value.

## Uses of ToolEntry in org.eclipse.gef.ui.actions

Constructors in org.eclipse.gef.ui.actions with parameters of type ToolEntry
Modifier
Constructor
Description
``
`SetActivePaletteToolAction(PaletteViewer viewer, String label, ImageDescriptor icon, boolean isChecked, ToolEntry entry)`
Creates a new SetActivePaletteToolAction with the given entry to set, as well as a label, icon, and isChecked to be used in a menu.

## Uses of ToolEntry in org.eclipse.gef.ui.palette

Methods in org.eclipse.gef.ui.palette that return ToolEntry
Modifier and Type
Method
Description
`ToolEntry`
PaletteViewer.`getActiveTool()`
Methods in org.eclipse.gef.ui.palette with parameters of type ToolEntry
Modifier and Type
Method
Description
`void`
PaletteViewer.`setActiveTool(ToolEntry newMode)`
Sets the active entry for this palette.